from enum import Enum

class SearchModeType(Enum):
    """
    ZmqMessageType defines the types of messages used in a ZeroMQ messaging system.
    Each type is associated with a specific class for handling its data.
    """
    SPLIT_ONLY = 1
    SUMMARY_ONLY = 2
    SPLIT_AND_SUMMARY = 3

    @property
    def get_associated_class(self):
        return {
            SearchModeType.SPLIT_ONLY: "SplitOnly",
            SearchModeType.SUMMARY_ONLY: "SummaryOnly",
            SearchModeType.SPLIT_AND_SUMMARY: "SplitAndSummary"
        }.get(self, lambda x: None)