from dataclasses import dataclass, field
from typing import Optional, List, Dict, Any
from uuid import UUID

from embedding_server_client.schema import Embedding
from embedding_server_client.schema.summary import Summary
from embedding_server_client.schema.base import Base
from embedding_server_client.schema.document import RetrievalStatus


@dataclass
class Split(Base):
    """
    Dataclass representing a Split response.
    """
    split_id: int
    sequence_id: int
    doc_id: int
    text_content: str
    token_len: int
    summaries: List[Summary]
    embedding: Optional[Embedding]
    query_distance: Optional[float] = field(default=None)
